#
# spec file for package asterisk (Version 1.2.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib curl curl-devel cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libogg libpri libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline resmgr rpm sed spandsp speex speex-devel strace sysvinit tar tcpd texinfo timezone udev unixODBC unixODBC-devel unzip util-linux vim zaptel zlib zlib-devel

Name:           asterisk
BuildRequires:  alsa-devel curl-devel expat gcc-c++ libpri libtiff-devel postgresql-devel spandsp speex-devel unixODBC-devel
%ifnarch s390 s390x
BuildRequires:  zaptel
%endif
URL:            http://www.asterisk.org
%define       bristuff bristuff-0.3.0-PRE-1i
%define       spandsp spandsp-0.0.2pre23
%define       build_h323 0
Summary:        The Asterisk Open Source PBX
Version:        1.2.3
Release:        3
License:        GPL, BSD
PreReq:         /usr/sbin/useradd
Group:          Productivity/Telephony/Servers
Source0:        %name-%version.tar.bz2
Source2:        %name-init
Patch0:         %name.patch
Patch1:         %name-%bristuff.patch
Patch2:         %name-%spandsp.patch
Patch3:         %name-db1-__P.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Asterisk is a complete PBX in software. It provides all of the features
you would expect from a PBX and more. Asterisk does voice over IP in
three protocols and can interoperate with almost all standards-based
telephony equipment using relatively inexpensive hardware.

Asterisk provides voicemail services with directory, call conferencing,
interactive voice response, and call queuing. It has support for
three-way calling, caller ID services, ADSI, SIP, and H.323 (as both
client and gateway).

Documentation is available on the Asterisk home page
(http://www.asterisk.org) and on the Asterisk wiki
(http://www.voip-info.org/wiki-Asterisk).



Authors:
--------
    Mark Spencer <markster@digium.com>

%debug_package
%package alsa
Summary:        Soundcard Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description alsa
This package allows Asterisk to use a soundcard supported by ALSA as a
telephone.



Authors:
--------
    Mark Spencer <markster@digium.com>

%if %build_h323
%package h323
Summary:        Voice over IP Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description h323
This package adds support for the H.323 voice over IP (VoIP) protocol
to Asterisk.

Support for the SIP and IAX2 protocols is included in the asterisk base
package.



Authors:
--------
    Mark Spencer <markster@digium.com>

%endif
%package odbc
Summary:        Database Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description odbc
This package allows Asterisk to use read configuration data from, and
write call logs to ODBC databases.



Authors:
--------
    Mark Spencer <markster@digium.com>

%package pgsql
Summary:        Database Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description pgsql
This package allows Asterisk to use read configuration data from, and
write call logs to PostgreSQL databases.



Authors:
--------
    Mark Spencer <markster@digium.com>

%package spandsp
Summary:        Softfax Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description spandsp
This package allows Asterisk to send/receive faxes.



Authors:
--------
    Steve Underwood <steveu@coppice.org>

%package zaptel
Summary:        Telephony Hardware Module for Asterisk
Group:          Productivity/Telephony/Servers
PreReq:         asterisk

%description zaptel
This module allows Asterisk to use telephony hardware that is supported
by the zaptel kernel drivers. Supported hardware ranges from FXO and
FXS cards over ISDN BRI cards to T1, and E1 cards with up to four
interfaces.

See the zaptel package for details.



Authors:
--------
    Mark Spencer <markster@digium.com>

%prep
%setup -q
%patch1 -p1
%patch2
pushd db1-ast
%patch3
popd
%patch0

%build
# build asterisk
%if %build_h323
make -C channels/h323 \
	OPTIMIZE="%optflags" \
	OPENH323DIR=/usr/include/openh323 \
	libdir=%_libdir
%endif
make %{?jobs:-j%jobs "MAKE=make -j%jobs"} OPTIMIZE="%optflags -fno-strict-aliasing" libdir=%_libdir

%install
# install asterisk
make ASTVARRUNDIR=/var/run/asterisk DESTDIR=%buildroot install samples
%if %build_h323
make -C channels/h323 INSTALL_PREFIX=%buildroot samples
%endif
mkdir -p %buildroot/etc/init.d
install -m755 %SOURCE2 %buildroot/etc/init.d/asterisk
ln -s /etc/init.d/asterisk %buildroot/usr/sbin/rcasterisk
#mkdir -p %buildroot/var/run/asterisk
#mkdir -p %buildroot/var/log/asterisk/cdr-{csv,custom}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,asterisk,root,750)
/var/log/asterisk
/var/run/asterisk
%defattr(-,root,root,-)
%doc BUGS CREDITS HARDWARE LICENSE README.* SECURITY
%doc ChangeLog CHANGES COPYING UPGRADE.txt
%doc doc/*
%dir /etc/asterisk
%config(noreplace)%attr(640,asterisk,root) /etc/asterisk/*
%config(noreplace) /etc/init.d/asterisk
%_includedir/*
/usr/lib/asterisk
/usr/sbin/*
%_mandir/*/*
%exclude /usr/lib/asterisk/modules/*alsa*
%exclude /etc/asterisk/alsa.conf
%if %build_h323
%exclude /usr/lib/asterisk/modules/*h323*
%exclude /etc/asterisk/h323.conf
%endif
%exclude /usr/lib/asterisk/modules/*odbc*
%exclude /etc/asterisk/*odbc*
%exclude /usr/lib/asterisk/modules/*pgsql*
%exclude /etc/asterisk/*pgsql*
%exclude /usr/lib/asterisk/modules/*fax*
%exclude /usr/lib/asterisk/modules/*dtmfto*
%exclude /usr/lib/asterisk/modules/*zap*
%exclude /etc/asterisk/zapata.conf
%defattr(-,asterisk,root,-)
/var/lib/asterisk
/var/spool/asterisk

%files alsa
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*alsa*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/alsa.conf
%if %build_h323

%files h323
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*h323*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/h323.conf
%endif

%files odbc
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*odbc*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/*odbc*

%files pgsql
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*pgsql*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/*pgsql*

%files spandsp
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*fax*
/usr/lib/asterisk/modules/*dtmfto*

%files zaptel
%defattr(-,root,root,-)
/usr/lib/asterisk/modules/*zap*
%config(noreplace)%attr(640,asterisk,root)/etc/asterisk/zapata.conf

%pre
useradd -g dialout -r -d /var/lib/asterisk -s /bin/false \
	-c "Asterisk PBX" asterisk 2>/dev/null || :

%changelog -n asterisk
* Mon Feb 06 2006 - max@suse.de
- Included all subdirs of /var/log/asterisk in file list.
* Mon Jan 30 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - max@suse.de
- New versions: asterisk-1.2.3, bristuff-0.3.0-PRE-1i .
* Mon Jan 23 2006 - max@suse.de
- New version of the spandsp patch: 0.0.2pre23
* Tue Jan 17 2006 - max@suse.de
- Don't use -fsigned-char on PPC (bug #93872).
* Tue Dec 20 2005 - max@suse.de
- New version: 1.2.1
- New version of the bristuff patch: 0.3.0-PRE-1c
- New version of the spandsp patch: 0.0.2pre21
* Thu Aug 11 2005 - max@suse.de
- New version of the bristuff patch: 0.2.0-rc8n
* Tue Jul 19 2005 - max@suse.de
- Disabled the mmx assembler stuff in gsm again.
* Mon Jul 18 2005 - max@suse.de
- New version 1.0.9
- New version of the bristuff patch: 0.2.0-rc8j
* Thu Apr 14 2005 - pth@suse.de
- remove a bogus non-static declaration that conflicts with a
  static one.
* Mon Mar 07 2005 - max@suse.de
- New version of the bristuff patch: 0.2.0-rc7k
* Mon Feb 28 2005 - max@suse.de
- New version: 1.0.6.
- New version of the bristuff patch: 0.2.0-rc7i
- New version of the spandsp patch: 0.0.2pre10
* Thu Jan 13 2005 - max@suse.de
- New version: 1.0.3.
- New version of the bristuff patch: 0.2.0-rc3a
- New version of the spandsp patch: 0.0.2pre8
* Fri Nov 26 2004 - max@suse.de
- Update spandsp patch to version 0.0.2pre6
* Fri Nov 05 2004 - max@suse.de
- New version: 1.0.2
- New version of the bristuff patch: 0.2.0-rc2
- New version of the spandsp patch: 0.0.2pre4
* Tue Oct 05 2004 - max@suse.de
- Fixed location of pid file in init script [Bug #46859].
- Added the /var/log/asterisk/cdr-csv directory to the package.
* Wed Sep 29 2004 - max@suse.de
- Added /usr/sbin/useradd to PreReq [Bug #46487].
* Wed Sep 29 2004 - max@suse.de
- /var/lib/asterisk also needs to be owned by the asterisk user.
* Mon Sep 20 2004 - max@suse.de
- Creating a user named asterisk during installation under which
  the asterisk server will be run and who will own the config
  files and asterisk's /var/log, /var/spool, and /var/run areas.
- Added asterisk as a prerequirement to all subpackages to make
  sure the user exists when the package is installed.
* Mon Sep 13 2004 - ro@suse.de
- Fix usage of __P (patch from db1 package)
* Mon Sep 06 2004 - max@suse.de
- Created a separate source package for asterisk-capi.
* Fri Aug 20 2004 - max@suse.de
- Update bristuff patch to version 0.1.0-RC4a
- Update to CVS snapshot from 2004-08-14.
- Use platform independent names for linking against libpt and
  libopenh323.
- Temporarily disablied building of H.323 support due to
  incompatible changes in openh323.
* Mon Aug 16 2004 - ro@suse.de
- try to fix build on x86_64 and ia64
* Fri Aug 13 2004 - max@suse.de
- Update asterisk to CVS snapshot of 2004-08-12
- Enable H.323 support
- Put modules with external library dependencies into subpackages
- Update bristuff patch to version 0.1.0-RC3
* Wed Jul 28 2004 - max@suse.de
- Fixed db on ppc64.
- Removed some more bogus -march switches.
- Disables loading of the CAPI modules by default.
- Added init script.
* Fri Jul 23 2004 - max@suse.de
- Update asterisk to CVS snapshot from 2004-07-22
- Update chan_capi to version 0.3.4b
- Update bristuff patch to version 0.1.0-RC2
* Thu Jul 08 2004 - max@suse.de
- Don't try to be clever on detecting optimization, rpmbuild
  provides us with the necessary flags.
- Don't build chan_capi on s390/s390x, because there is no CAPI
  support on these platforms.
* Wed Jun 23 2004 - max@suse.de
- New package: Asterisk (CVS snapshot from 2004-10-05).
  Asterisk a complete PBX in software (www.asterisk.org).
- Added chan_capi for using CAPI devices as Asterisk channels.
- Added patch to support softfax using the spandsp library.
- Added bristuff patches to support BRI ISDN cards using libpri.
